Subject: Re: error in trigger creation

From: Ron Johnson <[email-masked]>
Date: Sun, 21 Apr 2024 16:04:03 -0400

On Sun, Apr 21, 2024 at 2:58 PM yudhi s <[email-masked]> wrote:

> the partition drop from parent is taking longer as it scans all the
> partitions of the child table
>

Does the relevant supporting index exist on the child table?

---

From: yudhi s <[email-masked]>
Date: Mon, 22 Apr 2024 01:45:05 +0530

> Does the relevant supporting index exist on the child table?

Yes all the child tables have foreign keys indexed.

 Again I don't want to divert the main topic(trigger creation) . I will
provide the exact test case how it puts exclusive lock and runs longer as
scans all child partitions (which must be using indexes though) but as the
number of partitions increase the time of drop partitions increases.